# class Chef::ChefFS::FileSystem::OperationFailedError

### Attributes

operation[R]

### Public Class Methods

new(operation, entry, cause = nil) click to toggle source
Calls superclass method Chef::ChefFS::FileSystem::FileSystemError.new

    # File lib/chef/chef_fs/file_system/operation_failed_error.rb, line 25
    def initialize(operation, entry, cause = nil)
      super(entry, cause)
      @operation = operation
    end

### Public Instance Methods

message() click to toggle source
Calls superclass method

    # File lib/chef/chef_fs/file_system/operation_failed_error.rb, line 30
    def message
      if cause && cause.is_a?(Net::HTTPExceptions) && cause.response.code == "400"
        "#{super} cause: #{cause.response.body}"
      else
        super
      end
    end